#ifndef _HISTORYWINDOW_H
#define _HISTORYWINDOW_H
#include "masterController.h"

class masterController;

class historyWindow: public TGMainFrame
{
	private:
		masterController* master; 

		TGMenuBar *fMenuBar;
    	TGTab     *InjTab;

    	embeddedInfoCanvas* canvas;

 	
	public:
		static bool exists;
		historyWindow( const TGWindow* p, int w, int h, masterController* mc, int options = kVerticalFrame );
		~historyWindow();

		void raise(){ Emit("raise()");};
		void wantsFocus(){ this->RequestFocus(); this->RaiseWindow(); };
		void CloseWindow();

		enum windowSignals
    	{
			kButton_Update,

			kMenu_File_Save_Canvas_PDF,

			kMenu_Opts_Recon,          
			kMenu_Opts_Recon_Data,     
			kMenu_Opts_Recon_Prof_Data   
		};

	ClassDef(historyWindow,0);
};

#endif 

