#ifndef PPGUI_H
#define PPGUI_H

#include <iostream>
//$(ROOTSYS)bin\rootcint -f MyDict.cpp -c  ppGUI.h C:\TARDIS\GUI\Text_Message_Pad.h LinkDef.h


#include "Text_Message_Pad.h"// Doesn't work with root dict






// ROOT
#include <TRootEmbeddedCanvas.h>
#include <TGNumberEntry.h>
#include <TGButtonGroup.h>
#include <TGButton.h>
#include <TPaveText.h>
#include <TGButton.h>
#include <TGLabel.h>
#include <TGFrame.h>
#include <TCanvas.h>
#include <TGraph.h>
#include "TAxis.h"
#include "TGraph.h"
#include "TMultiGraph.h"
#include "TCanvas.h"
#include "TApplication.h"
#include "TStyle.h"
#include "TPad.h"
#include "TROOT.h"
#include "TColor.h"
#include "TGFrame.h"
#include "TVirtualPad.h"
#include <TSystem.h>

#include "TGTab.h"

//
//
//#ifndef ROOT_TGDockableFrame
//#include "TGDockableFrame.h"
//#endif
//#ifndef ROOT_TGMenu
//#include "TGMenu.h"
//#endif
//#ifndef ROOT_TGMdiDecorFrame
//#include "TGMdiDecorFrame.h"
//#endif
//#ifndef ROOT_TG3DLine
//#include "TG3DLine.h"
//#endif
//#ifndef ROOT_TGMdiFrame
//#include "TGMdiFrame.h"
//#endif
//#ifndef ROOT_TGMdiMainFrame
//#include "TGMdiMainFrame.h"
//#endif
//#ifndef ROOT_TGMdiMenu
//#include "TGMdiMenu.h"
//#endif
//#ifndef ROOT_TGColorDialog
//#include "TGColorDialog.h"
//#endif
//#ifndef ROOT_TGListBox
//#include "TGListBox.h"
//#endif
//#ifndef ROOT_TGNumberEntry
//#include "TGNumberEntry.h"
//#endif
//#ifndef ROOT_TGScrollBar
//#include "TGScrollBar.h"
//#endif
//#ifndef ROOT_TGComboBox
//#include "TGComboBox.h"
//#endif
//#ifndef ROOT_TGuiBldHintsEditor
//#include "TGuiBldHintsEditor.h"
//#endif
//#ifndef ROOT_TGuiBldNameFrame
//#include "TGuiBldNameFrame.h"
//#endif
//#ifndef ROOT_TGFrame
//#include "TGFrame.h"
//#endif
//#ifndef ROOT_TGFileDialog
//#include "TGFileDialog.h"
//#endif
//#ifndef ROOT_TGShutter
//#include "TGShutter.h"
//#endif
//#ifndef ROOT_TGButtonGroup
//#include "TGButtonGroup.h"
//#endif
//#ifndef ROOT_TGCanvas
//#include "TGCanvas.h"
//#endif
//#ifndef ROOT_TGFSContainer
//#include "TGFSContainer.h"
//#endif
//#ifndef ROOT_TGuiBldEditor
//#include "TGuiBldEditor.h"
//#endif
//#ifndef ROOT_TGColorSelect
//#include "TGColorSelect.h"
//#endif
//#ifndef ROOT_TGButton
//#include "TGButton.h"
//#endif
//#ifndef ROOT_TGFSComboBox
//#include "TGFSComboBox.h"
//#endif
//#ifndef ROOT_TGLabel
//#include "TGLabel.h"
//#endif
//#ifndef ROOT_TGMsgBox
//#include "TGMsgBox.h"
//#endif
//#ifndef ROOT_TRootGuiBuilder
//#include "TRootGuiBuilder.h"
//#endif
//#ifndef ROOT_TGTab
//#include "TGTab.h"
//#endif
//#ifndef ROOT_TGListView
//#include "TGListView.h"
//#endif
//#ifndef ROOT_TGSplitter
//#include "TGSplitter.h"
//#endif
//#ifndef ROOT_TGStatusBar
//#include "TGStatusBar.h"
//#endif
//#ifndef ROOT_TGListTree
//#include "TGListTree.h"
//#endif
//#ifndef ROOT_TGuiBldGeometryFrame
//#include "TGuiBldGeometryFrame.h"
//#endif
//#ifndef ROOT_TGToolTip
//#include "TGToolTip.h"
//#endif
//#ifndef ROOT_TGToolBar
//#include "TGToolBar.h"
//#endif
//#ifndef ROOT_TRootEmbeddedCanvas
//#include "TRootEmbeddedCanvas.h"
//#endif
//#ifndef ROOT_TCanvas
//#include "TCanvas.h"
//#endif
//#ifndef ROOT_TGuiBldDragManager
//#include "TGuiBldDragManager.h"
//#endif
//
//#include "Riostream.h"
//

class Text_Message_Pad;

class ppGUI : public TGMainFrame
{
    public:

    enum ppGUISignals
    {
            kButton_FindSig,
            kButton_FindInj,
            kButton_Findbatch
    };

    Text_Message_Pad * Message_Pad;
        void emitButton(int button){ EmitVA( "emitButton(int)", 1, button ); };

    void emitSignal( int signalInt ){ EmitVA( "emitSignal(Int_t)", 1, signalInt ); };
    ppGUI( const TGWindow *p, int dataCount );
    virtual ~ppGUI();

    protected:
    private:

    int ppGUIDataCount;
    int winx,winy,conx,cony,graphx,graphy;

    TGNumberEntry * dataSelectEntry, *rawPlotStartFrameEntry, *rawPlotEndFrameEntry, *rawPlotFrameStepEntry, *sigTrig, *dITrig;

    void testing();

    ClassDef(ppGUI,0);
};

#endif // PPGUI_H
