#ifndef _STRUCTINSPECTORWINDOW_H
#define _STRUCTINSPECTORWINDOW_H
//Root headers
#include <TGNumberEntry.h>
#include <TGTextEntry.h>
#include <TG3DLine.h>
#include <TSystem.h>
#include <TGLabel.h>
#include <TGFrame.h>
//c headers
#include <vector>
//NJE Headers
#include "TomographyStructs.h"
//#include "TomographyStructDefaults.h"
#include "Global_Values_Extern.h" 

class structInspectorWindow: public TGMainFrame
{
  private:

    static int count;

    TGTextEntry* titleField;
    DAQStruct* thisStruct;

    void updateTitle();
      
  public:

    enum windowSignals
    {
      kButton_Continue,
      kButton_Cancel
    };

    // structInspectorWindow( const TGWindow *p, const TGWindow* main, DAQStruct* someStruct, UInt_t w = 0, UInt_t h = 0 );
    structInspectorWindow( const TGWindow *p, DAQStruct* someStruct, UInt_t w = 0, UInt_t h = 0 );
    virtual ~structInspectorWindow();

    void emitButton( int which ){ EmitVA( "emitButton(int)", 1, which ); }; //*Signal*//
    void continueThenClose();

  ClassDef(structInspectorWindow,0)    
};

#endif
