#include "tabbedInfoWindow.h" //Class Header

tabbedInfoWindow::tabbedInfoWindow(const TGWindow *p, UInt_t w, UInt_t h ) : TGMainFrame(p,w,h)
{
  ;
}
 
tabbedInfoWindow::~tabbedInfoWindow()
{
}

void tabbedInfoWindow::setInfo( int tab, const char* text )
{
  CanVec[tab]->setText( text );
}

void tabbedInfoWindow::setTab(int id)
{
  InjTab->SetTab(id);
}

void tabbedInfoWindow::addTabFrame(int numTabs)
{

  CompFrameVec.clear();
  CanVec.clear();

  TGLayoutHints *TabLayout = new TGLayoutHints(kLHintsExpandX | kLHintsExpandY,1,1,1,1);

  InjTab = new TGTab( this, 970, 700 );

  AddFrame( InjTab, TabLayout );   

  char tabTitle[256];

  for(int tab = 0; tab < numTabs; ++tab)
  {
    sprintf( tabTitle, "Injection %d", tab + 1 );
    CompFrameVec.push_back(InjTab->AddTab((const char*)tabTitle));
    CanVec.push_back(new embeddedInfoCanvas(tabTitle, CompFrameVec[tab], 970,600));
    CompFrameVec[tab]->AddFrame( (CanVec[tab])->GetEmbedded(), TabLayout );
  }

}
